﻿//===================================================================================================================
//  File:       LibraryMappedEvent.cs
//  Authors:    Dan Becker, Dave Langer 
//  Course:     CSS 590 A - Mobile Computing, Spring 2012
//===================================================================================================================
using System;

namespace ArchitectsUnited.Phix.ViewModel
{
    /// <summary>
    /// Custom event class raised by the ViewModel in response to an asynchronous call to the Bing Maps Location
    /// API to retrieve the longitude/latitude for a specific WorldCat library
    /// </summary>
    public class LibraryMappedEvent : EventArgs
    {
        #region Properties

        // Latitude/Longitude of the WorldCat library
        public string Latitude { get; private set; }
        public string Longitude { get; private set; }

        #endregion


        #region Constructor

        public LibraryMappedEvent(string latitude, string longitude)
        {
            Latitude = latitude;
            Longitude = longitude;
        }

        #endregion
    }
}
